Skip to main content
POST
/
api
/
user
/
collection
Create a new collection
curl --request POST \
  --url https://pria.praxislxp.com/api/user/collection \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "institution": "<string>",
  "account_shared": true,
  "parent": "<string>",
  "color": "#10b981"
}
'
import requests

url = "https://pria.praxislxp.com/api/user/collection"

payload = {
"name": "<string>",
"institution": "<string>",
"account_shared": True,
"parent": "<string>",
"color": "#10b981"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
institution: '<string>',
account_shared: true,
parent: '<string>',
color: '#10b981'
})
};

fetch('https://pria.praxislxp.com/api/user/collection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

JWT token passed in authorization header

Body

application/json
name
string
required
institution
string
account_shared
boolean
parent
string

Parent collection ID (optional, creates sub-collection)

color
string | null

Optional accent color (#RGB / #RRGGBB) applied to the folder icon.

Pattern: ^#(?:[0-9a-fA-F]{3}|[0-9a-fA-F]{6})$
Example:

"#10b981"

Response

201

Collection created